#ifndef CHESSY_EVALUATE_H
#define CHESSY_EVALUATE_H

#include "ChessGame.h"

namespace chessy
{
    using MoveValue = float;

    namespace values
    {
        extern const MoveValue PAWN;
        extern const MoveValue KNIGHT;
        extern const MoveValue BISHOP;
        extern const MoveValue ROOK;
        extern const MoveValue QUEEN;
    }

    template<Side side>
    MoveValue evaluatePositives(const ChessGame& game);

    MoveValue evaluate(const ChessGame& game);
}



#endif // CHESSY_MIrIMAX_H

